Package org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.provider

# Class TreeNodeCompareInput

java.lang.Object
org.eclipse.emf.common.notify.impl.AdapterImpl
org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.CompareInputAdapter
org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.provider.TreeNodeCompareInput

All Implemented Interfaces:
  `org.eclipse.compare.structuremergeviewer.ICompareInput`, `org.eclipse.core.runtime.IAdaptable`, `Adapter`, `Adapter.Internal`, `IChangeNotifier`, `IDisposable`, `INotifyChangedListener`

public class TreeNodeCompareInput extends CompareInputAdapter implements INotifyChangedListener, IChangeNotifier

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

`Adapter.Internal`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected IChangeNotifier`
`changeNotifier`
This is used to implement `IChangeNotifier`.
`protected IChangeNotifier`
`delegateItemProvider`

### Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`target`

## Constructor Summary

Constructors
Constructor
Description
`TreeNodeCompareInput(AdapterFactory adapterFactory)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`addListener(INotifyChangedListener listener)`
`void`
`dispose()`
This will remove this adapter from all its the targets and dispose any remaining children wrappers in the children store.
`void`
`fireNotifyChanged(Notification notification)`
This convenience method converts the arguments into an appropriate update call on the viewer.
`void`
`notifyChanged(Notification notification)`
This handles notification by calling `fireNotifyChanged`.
`void`
`removeListener(INotifyChangedListener listener)`
`void`
`setTarget(Notifier target)`

### Methods inherited from class org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.CompareInputAdapter

`addCompareInputChangeListener, copy, fireChange, getAccessorFactoryForTarget, getAdapter, getAdapterFactory, getAncestor, getComparisonObject, getImage, getKind, getLeft, getModelUpdateStrategy, getName, getRight, getRootAdapterFactory, isAdapterForType, isThreeWay, removeCompareInputChangeListener, setDeferredAdapter`

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`getTarget, unsetTarget`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### changeNotifier

protected IChangeNotifier changeNotifier
This is used to implement `IChangeNotifier`.

### delegateItemProvider

protected IChangeNotifier delegateItemProvider

## Constructor Details

### TreeNodeCompareInput

public TreeNodeCompareInput(AdapterFactory adapterFactory)
Constructor.

Parameters:
  `adapterFactory` - the given adapter factory.

## Method Details

### setTarget

public void setTarget(Notifier target)

Specified by:
  `setTarget` in interface `Adapter`
Overrides:
  `setTarget` in class `AdapterImpl`

### notifyChanged

public void notifyChanged(Notification notification)
This handles notification by calling `fireNotifyChanged`. This will also be called by the `delegateItemProvider` when it normally fires a notification to its adapter factory; the listener method is hooked up in `setTarget`. Notifications are wrapped to look like they originate from the target.

Specified by:
  `notifyChanged` in interface `Adapter`
Specified by:
  `notifyChanged` in interface `INotifyChangedListener`
Overrides:
  `notifyChanged` in class `AdapterImpl`

### fireNotifyChanged

public void fireNotifyChanged(Notification notification)
This convenience method converts the arguments into an appropriate update call on the viewer. The event type is a value from the static constants in `Notifier`.

Specified by:
  `fireNotifyChanged` in interface `IChangeNotifier`

### addListener

public void addListener(INotifyChangedListener listener)

Specified by:
  `addListener` in interface `IChangeNotifier`

### removeListener

public void removeListener(INotifyChangedListener listener)

Specified by:
  `removeListener` in interface `IChangeNotifier`

### dispose

public void dispose()
Description copied from class: `CompareInputAdapter`
This will remove this adapter from all its the targets and dispose any remaining children wrappers in the children store.

Specified by:
  `dispose` in interface `IDisposable`
Overrides:
  `dispose` in class `CompareInputAdapter`